Perform various operations on Collection Package (CP) work card records.
Operations
getCpWorkCard
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardPOST /nexum/627/2022.01/account/getCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardFields": false,
"CpWorkCardFields": {
"Locator": true,
"Type": true,
"Active": true,
"Priority": true,
"LastWorkDate": true,
"NextWorkDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCpWorkCardSelectFieldsFilterChildren
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardSelectFieldsFilterChildrenPOST /nexum/627/2022.01/account/getCpWorkCardSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardFields": true,
"CpWorkCardFields": {
"Active": true,
"CloseDate": true,
"FmLastDate": true,
"LastCollectorId": true,
"LastWorkDate": true,
"LastWorktime": true,
"Locator": true,
"NextWorkDate": true,
"NotePurgeDate": true,
"Priority": true,
"RecordChangeDate": true,
"SecCollectorId": [
0
],
"SecPriority": [
0
],
"Type": true
},
"CpWorkCardNoteSelectableFields": {
"IncludeAllCpWorkCardNoteFields": true,
"CpWorkCardNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"CpWorkCardTrackingSelectableFields": {
"IncludeAllCpWorkCardTrackingFields": true,
"CpWorkCardTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
}
},
"ChildrenSearchFilter": {
"CpWorkCardNoteFilter": {
"Query": "string"
},
"CpWorkCardTrackingFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardPagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardPagedListPOST /nexum/627/2022.01/account/getCpWorkCardPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardListSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"SelectableFields": {
"IncludeAllCpWorkCardFields": true,
"CpWorkCardFields": {
"Active": true,
"CloseDate": true,
"FmLastDate": true,
"LastCollectorId": true,
"LastWorkDate": true,
"LastWorktime": true,
"Locator": true,
"NextWorkDate": true,
"NotePurgeDate": true,
"Priority": true,
"RecordChangeDate": true,
"SecCollectorId": [
0
],
"SecPriority": [
0
],
"Type": true
},
"CpWorkCardNoteSelectableFields": {
"IncludeAllCpWorkCardNoteFields": true,
"CpWorkCardNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"CpWorkCardTrackingSelectableFields": {
"IncludeAllCpWorkCardTrackingFields": true,
"CpWorkCardTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
}
},
"nxAttributes": {
"customFields": {}
}
}searchCpWorkCardSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchCpWorkCardSelectFieldsPOST /nexum/627/2022.01/account/searchCpWorkCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"SelectableFields": {
"IncludeAllCpWorkCardFields": true,
"CpWorkCardFields": {
"Active": true,
"CloseDate": true,
"FmLastDate": true,
"LastCollectorId": true,
"LastWorkDate": true,
"LastWorktime": true,
"Locator": true,
"NextWorkDate": true,
"NotePurgeDate": true,
"Priority": true,
"RecordChangeDate": true,
"SecCollectorId": [
0
],
"SecPriority": [
0
],
"Type": true
},
"CpWorkCardNoteSelectableFields": {
"IncludeAllCpWorkCardNoteFields": true,
"CpWorkCardNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"CpWorkCardTrackingSelectableFields": {
"IncludeAllCpWorkCardTrackingFields": true,
"CpWorkCardTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
}
},
"SearchFilter": {
"Query": "string",
"CpWorkCardChildrenFilter": {
"CpWorkCardNoteFilter": {
"Query": "string"
},
"CpWorkCardTrackingFilter": {
"Query": "string"
}
}
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardPagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardPagedListSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCpWorkCardFields": false,
"CpWorkCardFields": {
"Locator": true,
"Type": true,
"Active": true,
"Priority": true,
"LastWorkDate": true,
"NextWorkDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCpWorkCardPagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchCpWorkCardPagedSelectFieldsPOST /nexum/627/2022.01/account/searchCpWorkCardPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCpWorkCardFields": false,
"CpWorkCardFields": {
"Locator": true,
"Type": true,
"Active": true,
"Priority": true,
"LastWorkDate": true,
"NextWorkDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCpWorkCardNote
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalCpWorkCardNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardNotePOST /nexum/627/2022.01/account/getCpWorkCardNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"CpWorkCardNoteLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardNoteSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalCpWorkCardNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardNoteSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"CpWorkCardNoteLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardNoteFields": false,
"CpWorkCardNoteFields": {
"Locator": true,
"Code": true,
"EnterDate": true,
"ExpirationDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCpWorkCardNotePagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardNotePagedListPOST /nexum/627/2022.01/account/getCpWorkCardNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardNoteListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardNoteListSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardNoteFields": true,
"CpWorkCardNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCpWorkCardNoteSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchCpWorkCardNoteSelectFieldsPOST /nexum/627/2022.01/account/searchCpWorkCardNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardNoteFields": true,
"CpWorkCardNoteFields": {
"Code": true,
"EnterDate": true,
"EnterTime": true,
"ExpirationDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"Text": [
0
],
"TextLineCount": true,
"UserId": true,
"VoidFlag": true,
"VoidedBy": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardNotePagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardNotePagedListSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCpWorkCardNoteFields": false,
"CpWorkCardNoteFields": {
"Locator": true,
"Code": true,
"EnterDate": true,
"ExpirationDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCpWorkCardNotePagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchCpWorkCardNotePagedSelectFieldsPOST /nexum/627/2022.01/account/searchCpWorkCardNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCpWorkCardNoteFields": false,
"CpWorkCardNoteFields": {
"Locator": true,
"Code": true,
"EnterDate": true,
"ExpirationDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCpWorkCardTracking
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalCpWorkCardTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardTrackingPOST /nexum/627/2022.01/account/getCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"CpWorkCardTrackingLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardTrackingSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalCpWorkCardTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardTrackingSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"CpWorkCardTrackingLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardTrackingFields": true,
"CpWorkCardTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardTrackingPagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardTrackingPagedListPOST /nexum/627/2022.01/account/getCpWorkCardTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardTrackingListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardTrackingListSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardTrackingFields": true,
"CpWorkCardTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCpWorkCardTrackingSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchCpWorkCardTrackingSelectFieldsPOST /nexum/627/2022.01/account/searchCpWorkCardTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CpWorkCardLocator": 0,
"SelectableFields": {
"IncludeAllCpWorkCardTrackingFields": true,
"CpWorkCardTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCpWorkCardTrackingPagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCpWorkCardTrackingPagedListSelectFieldsPOST /nexum/627/2022.01/account/getCpWorkCardTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCpWorkCardTrackingFields": false,
"CpWorkCardTrackingFields": {
"Locator": true,
"Type": true,
"UserChar1": true,
"UserAmount1": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCpWorkCardTrackingPagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchCpWorkCardTrackingPagedSelectFieldsPOST /nexum/627/2022.01/account/searchCpWorkCardTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCpWorkCardTrackingFields": false,
"CpWorkCardTrackingFields": {
"Locator": true,
"Type": true,
"UserChar1": true,
"UserAmount1": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateCpWorkCardByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CpWorkCardLocatorintegeroptionalAccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/updateCpWorkCardByIDPOST /nexum/627/2022.01/account/updateCpWorkCardByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CpWorkCardLocator": 0,
"CpWorkCardUpdatableFields": {
"Type": 0,
"Priority": "0",
"LastCollectorId": 0
},
"CpWorkCardTrackingUpdateRequest": [],
"AccountNumber": "0000000000",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}updateCpWorkCardTrackingByID
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
CpWorkCardTrackingLocatorintegeroptionalAccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/updateCpWorkCardTrackingByIDPOST /nexum/627/2022.01/account/updateCpWorkCardTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CpWorkCardTrackingLocator": 0,
"CpWorkCardTrackingUpdatableFields": {
"Type": 0,
"Priority": "0",
"LastCollectorId": 0
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createCpWorkCard
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
CpWorkCardLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/account/createCpWorkCardPOST /nexum/627/2022.01/account/createCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CpWorkCardCreatableFields": {
"Type": 0,
"Priority": "0",
"LastCollectorId": 0
},
"AccountNumber": "0000000000",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createCpWorkCardNote
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
CpWorkCardNoteLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/account/createCpWorkCardNotePOST /nexum/627/2022.01/account/createCpWorkCardNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CpWorkCardNoteCreatableFields": {
"Type": 0,
"Priority": "0",
"LastCollectorId": 0
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}createCpWorkCardTracking
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
CpWorkCardTrackingLocatorintegeroptionalLoading fields…
/nexum/{sym}/2022.01/account/createCpWorkCardTrackingPOST /nexum/627/2022.01/account/createCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"CpWorkCardTrackingCreatableFields": {
"Type": 0,
"Priority": "0",
"LastCollectorId": 0
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteCpWorkCard
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/account/deleteCpWorkCardPOST /nexum/627/2022.01/account/deleteCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}deleteCpWorkCardTracking
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCpWorkCardLocatorintegeroptionalCpWorkCardTrackingLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.Loading fields…
/nexum/{sym}/2022.01/account/deleteCpWorkCardTrackingPOST /nexum/627/2022.01/account/deleteCpWorkCardTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"CpWorkCardLocator": 0,
"CpWorkCardTrackingLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}